import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

import '../../widgets/OrderInfoCard.dart';




class OrderPageInfo extends StatefulWidget {
  const OrderPageInfo({Key? key}) : super(key: key);

  @override
  State<OrderPageInfo> createState() => _OrderPageInfoState();
}

class _OrderPageInfoState extends State<OrderPageInfo> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      resizeToAvoidBottomInset: false,
      appBar: AppBar(
        elevation: 0,
        centerTitle: true,
        backgroundColor: Colors.white,
        title: Text(
          '订单详情',
          style: TextStyle(
              color: Colors.black,
              fontSize: 17.sp,
              letterSpacing: 2,
              fontWeight: FontWeight.bold),
        ),
      ),
      body:      Column(
        children: [
          OrderInfoCard(),

          Container(
            height: 130.h,
            margin: EdgeInsets.only(top: 20.0, bottom: 0.0),
            alignment: Alignment.bottomCenter,
            child: SizedBox(
              width: 315.w,
              height: 49.h,
              child: ElevatedButton(
                onPressed: () {
                  // _handelSubmit();
                  print('用户点击了支付啊阿松大撒地方');
                },
                child: const Text(
                  "支付",
                  style: TextStyle(
                      fontSize: 18,
                      color: Colors.white,
                      fontWeight: FontWeight.bold),
                ),
                style: ButtonStyle(
                  elevation: MaterialStateProperty.all(0),
                  backgroundColor:
                  MaterialStateProperty.all(const Color(0xFFFF703B)),
                  shape: MaterialStateProperty.all(
                      const RoundedRectangleBorder(
                          borderRadius:
                          BorderRadius.all(Radius.circular(24.4)))),
                ),
              ),
            ),
          ),
        ],
      ),
    );

  }
}
